-- *****************************************************************************
-- BeneCast Helper functions
-- *****************************************************************************

-- Function to clear the table given as the parameter
local function _ClearTable(Table)

	-- Removes every element of the table starting at the end
	while table.getn(Table) > 0 do
		table.remove(Table);
	end
	
end

-- Function to determine if a unit is in your raid group
local function _UnitInRaid(unit)

	return UnitPlayerOrPetInRaid(unit);
	
end

-- Function to determine if a unitid is 'raid'..x
local function _UnitIsRaidID(unit)

	if string.find(unit,'raid') and not string.find(unit,'raidpet') then
		return true;
	end
	return nil;
	
end

-- Function to determine if a unitid is x..'pet'..y
local function _UnitIsPetID(unit)

	return string.find(unit, 'pet');
	
end

-- Function to determine if a unitid is 'raidpet'..x
local function _UnitIsRaidPetID(unit)

	return string.find(unit, 'raidpet');
	
end

-- Function to determine if a unit is a party pet
local function _UnitIsPartyPet(unit)

	return not UnitIsPlayer(unit) and UnitPlayerOrPetInParty(unit);
	
end

-- Function to determine if a unit is a raid pet
local function _UnitIsRaidPet(unit)

	return not UnitIsPlayer(unit) and UnitPlayerOrPetInRaid(unit);
	
end

-- Function to determine the owner of a raid pet
local function _GetRaidPetOwnerID(unit)
	return string.gsub(unit,'pet','');
end
